### Method

# Gimp Layer set_composite_space

since: 2.10

#### Declaration [src]

    gboolean
    gimp_layer_set_composite_space (
      GimpLayer* layer,
      GimpLayerColorSpace composite_space
    )

#### Description [src]

Set the composite space of the specified layer.

This procedure sets the specified layer’s composite space.

Available since: 2.10

#### Parameters

`composite_space`

  Type: `GimpLayerColorSpace`

  The new layer composite space.

#### Return value

Type: `gboolean`

TRUE on success.